/*
 * Center: 98
 * Subcenter: 232
 * Parameter table version: 128
 */

TBLE2 mpi_128_params[] = {
{4, "total precipitation", "kg m-2 s-1", "precip"},
{34, "low cloud", "-", "low_cld"},
{35, "mid cloud", "-", "mid_cld"},
{36, "high cloud", "-", "hih_cld"},
{68, "aging factor of snow on ice", "-", "fage"},
{69, "fraction of ice covered with snow", "-", "snifrac"},
{70, "bare ice fraction", "-", "barefrac"},
{71, "albedo of melt ponds", "-", "alsom"},
{72, "albedo of bare ice and snow", "-", "alsobs"},
{73, "melt pond depth on sea-ice", "m", "sicepdw"},
{74, "ice thickness on melt pond", "m", "sicepdi"},
{75, "ice temperature on frozen melt pond", "K", "tsicepdi"},
{76, "residual heat flux", "W m-2", "sicepres"},
{77, "total melt pond depth", "m", "ameltdepth"},
{78, "fractional area of melt ponds on sea-ice", "-", "ameltfrac"},
{79, "surface albedo visible range direct", "-", "albedo_vis_dir"},
{80, "surface albedo NIR range direct", "-", "albedo_nir_dir"},
{81, "surface albedo visible range diffuse", "-", "albedo_vis_dif"},
{82, "surface albedo NIR range diffuse", "-", "albedo_nir_dif"},
{83, "ocean eastw. velocity (coupled mode)", "m/s", "ocu"},
{84, "ocean northw. velocity (coupled mode)", "m/s", "ocv"},
{85, "thermal radiation 200mb", "W m-2", "tradl"},
{86, "solar radiation 200mb", "W m-2", "sradl"},
{87, "thermal radiation 200mb (clear sky)", "W m-2", "trafl"},
{88, "solar radiation 200mb (clear sky)", "W m-2", "srafl"},
{89, "mixed layer flux correction", "W m-2", "amlcorac"},
{90, "mixed layer heat content", "J m-2", "amlheatac"},
{91, "LW flux over ice", "W m-2", "trfliac"},
{92, "LW flux over water", "W m-2", "trflwac"},
{93, "LW flux over land", "W m-2", "trfllac"},
{94, "SW flux over ice", "W m-2", "sofliac"},
{95, "SW flux over water", "W m-2", "soflwac"},
{96, "SW flux over land", "W m-2", "sofllac"},
{97, "ice cover (fraction of grid box)", "-", "friac"},
{100, "surface albedo visible range", "-", "albedo_vis"},
{101, "surface albedo NIR range", "-", "albedo_nir"},
{102, "surface temperature of ice", "K", "tsi"},
{103, "surface temperature of water", "K", "tsw"},
{104, "zonal      wind stress over ice", "Pa", "ustri"},
{105, "meridional wind stress over ice", "Pa", "vstri"},
{106, "zonal      wind stress over water", "Pa", "ustrw"},
{107, "meridional wind stress over water", "Pa", "vstrw"},
{108, "zonal      wind stress over land", "Pa", "ustrl"},
{109, "meridional wind stress over land", "Pa", "vstrl"},
{110, "latent heat flux over ice", "W m-2", "ahfliac"},
{111, "latent heat flux over water", "W m-2", "ahflwac"},
{112, "latent heat flux over land", "W m-2", "ahfllac"},
{113, "evaporation over ice", "kg m-2 s-1", "evapiac"},
{114, "evaporation over water", "kg m-2 s-1", "evapwac"},
{115, "evaporation over land", "kg m-2 s-1", "evaplac"},
{116, "roughness length over ice", "m", "az0i"},
{117, "roughness length over water", "m", "az0w"},
{118, "roughness length over land", "m", "az0l"},
{119, "sensible heat flux over ice", "W m-2", "ahfsiac"},
{120, "sensible heat flux over water", "W m-2", "ahfswac"},
{121, "sensible heat flux over land", "W m-2", "ahfslac"},
{122, "albedo of ice", "-", "alsoi"},
{123, "albedo of water", "-", "alsow"},
{124, "albedo of land", "-", "alsol"},
{125, "conductive heat flux", "W m-2", "ahfice"},
{126, "residual heat flux for melting sea ice", "W m-2", "qres"},
{127, "lake fraction of grid box", "fraction", "alake"},
{128, "low level inversion", "-", "rintop"},
{129, "surface geopotential (orography)", "m**2/s**2", "geosp"},
{130, "temperature", "K", "t"},
{131, "u-velocity", "m/s", "u"},
{132, "v-velocity", "m/s", "v"},
{133, "specific humidity", "kg/kg", "q"},
{134, "surface pressure", "Pa", "aps"},
{135, "vertical velocity", "Pa/s", "omega"},
{136, "cloud droplet number concentration", "1 m-3", "acdnc"},
{137, "vert. integr. tendencies of water", "kg m-2 s-1", "apmeb"},
{138, "vorticity", "1/s", "svo"},
{139, "surface temperature of land", "K", "tslm1"},
{140, "soil wetness", "m", "ws"},
{141, "snow depth", "m", "sn"},
{142, "large scale precipitation", "kg m-2 s-1", "aprl"},
{143, "convective  precipitation", "kg m-2 s-1", "aprc"},
{144, "snow fall", "kg m-2 s-1", "aprs"},
{145, "boundary layer dissipation", "W m-2", "vdis"},
{146, "sensible heat flux", "W m-2", "ahfs"},
{147, "latent heat flux", "W m-2", "ahfl"},
{148, "streamfunction", "m^2/s", "stream"},
{149, "velocity potential", "m^2/s", "velopot"},
{150, "vertically integrated cloud ice", "kg m-2", "xivi"},
{151, "mean sea level pressure", "Pa", "slp"},
{152, "log surface pressure", "-", "lsp"},
{153, "cloud water", "kg/kg", "xl"},
{154, "cloud ice", "kg/kg", "xi"},
{155, "divergence", "1/s", "sd"},
{156, "geopotential height", "m", "geopoth"},
{157, "relative humidity", "fraction", "rhumidity"},
{158, "tendency of surface pressure", "Pa/s", "tsp"},
{159, "10m windspeed over water", "m/s", "wind10w"},
{160, "surface runoff and drainage", "kg m-2 s-1", "runoff"},
{161, "drainage", "kg m-2 s-1", "drain"},
{162, "cloud cover", "-", "aclc"},
{163, "total cloud cover", "-", "aclcv"},
{164, "total cloud cover (mean)", "-", "aclcov"},
{165, "10m u-velocity", "m/s", "u10"},
{166, "10m v-velocity", "m/s", "v10"},
{167, "2m temperature", "K", "temp2"},
{168, "2m dew point temperature", "K", "dew2"},
{169, "surface temperature", "K", "tsurf"},
{170, "variance of total water amount qv+qi+ql", "kg/kg", "xvar"},
{171, "10m windspeed", "m/s", "wind10"},
{172, "land sea mask (1 = land, 0 = sea/lakes)", "-", "slm"},
{173, "roughness length", "m", "az0"},
{174, "surface background albedo", "-", "alb"},
{175, "surface albedo", "-", "albedo"},
{176, "net surface solar radiation", "W m-2", "srads"},
{177, "net surface thermal radiation", "W m-2", "trads"},
{178, "net top solar radiation", "W m-2", "srad0"},
{179, "top thermal radiation (OLR)", "W m-2", "trad0"},
{180, "u-stress", "Pa", "ustr"},
{181, "v-stress", "Pa", "vstr"},
{182, "evaporation", "kg m-2 s-1", "evap"},
{183, "skewness of total water amount qv+qi+ql", "-", "xskew"},
{184, "top incoming solar radiation", "W m-2", "srad0d"},
{185, "net surf. solar radiation   (clear sky)", "W m-2", "srafs"},
{186, "net surf. thermal radiation (clear sky)", "W m-2", "trafs"},
{187, "net top solar radiation     (clear sky)", "W m-2", "sraf0"},
{188, "net top thermal radiation   (clear sky)", "W m-2", "traf0"},
{189, "surface solar cloud forcing", "W m-2", "sclfs"},
{190, "surface thermal cloud forcing", "W m-2", "tclfs"},
{191, "SW top cloud forcing (178-187)", "W m-2", "sclf0"},
{192, "LW top cloud forcing (179-188)", "W m-2", "tclf0"},
{193, "skin reservoir content", "m", "wl"},
{194, "sea land fraction", "-", "slf"},
{195, "u-gravity wave stress", "Pa", "ustrgw"},
{196, "v-gravity wave stress", "Pa", "vstrgw"},
{197, "gravity wave dissipation", "W m-2", "vdisgw"},
{198, "vegetation ratio", "-", "vgrat"},
{199, "orographic standard deviation", "m", "orostd"},
{200, "leaf area index", "-", "vlt"},
{201, "maximum 2m temperature", "K", "t2max"},
{202, "minimum 2m temperature", "K", "t2min"},
{203, "top solar radiation upward", "W m-2", "srad0u"},
{204, "surface solar radiation upward", "W m-2", "sradsu"},
{205, "surface thermal radiation upward", "W m-2", "tradsu"},
{206, "surface ground heat flux", "-", "grndflux"},
{207, "deep soil temperatures (5 layers)", "K", "tsoil"},
{208, "conductive heat flux through ice", "W m-2", "ahfcon"},
{209, "melting of ice", "W m-2", "ahfres"},
{210, "ice cover (fraction of 1-SLM)", "-", "seaice"},
{211, "ice depth", "m", "siced"},
{212, "forest fraction", "-", "forest"},
{213, "glacier depth", "m", "gld"},
{214, "water equivalent of snow on ice", "m", "sni"},
{215, "glacier runoff", "kg m-2 s-1", "rogl"},
{216, "maximum 10m-wind speed", "m/s", "wimax"},
{217, "maximum height of convective cloud tops", "Pa", "topmax"},
{218, "snow melt", "kg m-2 s-1", "snmel"},
{219, "surface runoff into ocean", "kg m-2 s-1", "runtoc"},
{220, "surface runoff not running into ocean", "kg m-2 s-1", "runlnd"},
{221, "P-E over land ice", "kg m-2 s-1", "apmegl"},
{222, "snow accumulation over land", "kg m-2 s-1", "snacl"},
{223, "cloud cover", "-", "aclcac"},
{224, "turbulent kinetic energy", "m^2/s^2", "tke"},
{225, "turbulent kinetic energy (t-1)", "m^2/s^2", "tkem1"},
{226, "FAO data set (soil data flags)", "0...5", "fao"},
{227, "heat capacity of soil", "-", "rgcgn"},
{228, "diffusivity of soil and land ice", "m^2/s", "sodif"},
{229, "field capacity of soil", "m", "wsmx"},
{230, "vertically integrated water vapor", "kg m-2", "qvi"},
{231, "vertically integrated cloud water", "kg m-2", "xlvi"},
{232, "fraction of land covered by glaciers", "-", "glac"},
{233, "snow depth at the canopy", "m", "snc"},
{234, "type of convection", "0...3", "rtype"},
{235, "antropogenic sulfur burden", "kg m-2", "abso4"},
{236, "ipcc ozone", "kg m-2", "ao3"},
{237, "WMO defined tropopause height", "Pa", "tropo"},
{238, "stddev virt pot temp at halflev klevm1", "K", "thvsig"},
{239, "potential temperature", "K", "tpot"}
};
